#
# ubumirror.conf - configuration file for the ubumirror scripts.
#

# Please set the variables below to fit your site.
# Which email address/user that will receive failure notices.
EMAIL=root@localhost

# Server's FQDN.
#HOSTNAME=$(hostname -f)
HOSTNAME=$(hostname)

# Bandwidth limit for all mirror scripts - set to 0 for no limit.
SPEED=0

# I/O timeout for all mirror scripts - defaults to 600 seconds.
IO_TIMEOUT=600

# Set to 1 to prefer IPv6 over IPv4
IPV6=0

# UBUARC_DIR is the destination for the base of the archive directory
# The script won't run if this variable isn't set
#UBUARC_DIR="/srv/mirror/ubuntu"

# UBUCDI_DIR is the destination for the base of the cdimage directory
# The script won't run if this variable isn't set
#UBUCDI_DIR="/srv/mirror/ubuntu-cdimage"

# UBUREL_DIR is the destination for the base of the releases directory
# The script won't run if this variable isn't set
#UBUREL_DIR="/srv/mirror/ubuntu-releases"

# UBUPOR_DIR is the destination for the base of the ports directory
# The script (ubuports) won't run if this variable isn't set
#UBUPOR_DIR="/srv/mirror/ubuntu-ports"
#
# UBUCLOUD_DIR is the destination for the base of the cloud-image directory
# The script (ubucloudimage) won't run if this variable isn't set
#UBUCLOUD_DIR="/srv/mirror/ubuntu-cloud-images"

# LOGDIR is the destination directory of all the logs
LOGDIR="/var/log/ubumirror/"

# UBU{ARC,CDI,REL}_MIRROR is the rsync path in the form of host::directory/ of the
# upstream mirrors where the ubumirror scripts will mirror from.
UBUARC_MIRROR=rsync://rsync.archive.ubuntu.com/ubuntu
UBUCDI_MIRROR=rsync://rsync.cdimage.ubuntu.com/cdimage
UBUREL_MIRROR=rsync://rsync.releases.ubuntu.com/releases
UBUPOR_MIRROR=rsync://rsync.ports.ubuntu.com/ubuntu-ports
UBUCLOUD_MIRROR=rsync://cloud-images.ubuntu.com/cloud-images

# UBU{ARC,CDI,REL}_EXCLUDE is what things you want to exclude
UBUARC_EXCLUDE=""
# --exclude binary-powerpc/ --exclude binary-sparc/ \
# --exclude daily-installer-powerpc/ --exclude daily-installer-sparc/ \
# --exclude installer-powerpc/ --exclude installer-sparc/ \
# --exclude *_powerpc.deb --exclude *_powerpc.udeb \
# --exclude *_sparc.deb --exclude *_sparc.udeb \
# --exclude Contents-powerpc.gz --exclude Contents-sparc.gz \

UBUCDI_EXCLUDE=""
# --exclude *-powerpc.* --exclude *-sparc.* \
# --exclude source/ \

UBUREL_EXCLUDE=""
# --exclude *-powerpc.* --exclude *-sparc.* \

UBUPOR_EXCLUDE=""
# --exclude binary-powerpc/ --exclude binary-sparc/ \
# --exclude daily-installer-powerpc/ --exclude daily-installer-sparc/ \
# --exclude installer-powerpc/ --exclude installer-sparc/ \
# --exclude *_powerpc.deb --exclude *_powerpc.udeb \
# --exclude *_sparc.deb --exclude *_sparc.udeb \
# --exclude Contents-powerpc.gz --exclude Contents-sparc.gz \

UBUCLOUD_EXCLUDE=""
